Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

ModusToolbox™ General

MotooTanaka
Level 9
First comment on KBA 1000 replies posted 750 replies posted
Level 9

Today I heard that the ModusToolbox 1.1 was released!

Being a quite peaceful brain, I was expecting that the problem with older version silicon which was in the ModusToolbox 1.0 should have been fixed!

To my surprise, it was not!

Blinky with CY8CKIT-062-BLE (Rev 08)

000-MTW_1_1_CY8CKIT-062-BLE-debug.JPG

Blinky with CY8CKIT-062-BLE (Rev 11)

001-MTW_1_1_CY8CKIT-062-BLE_REV11_debug.JPG

And to add an astonishment on top of the surprise, the startup patch which rescued us for ModusToolbox 1.0 now stops working (T^T)

Well, the only good news, so far, is... yes, it works with CY8CKIT-062-WiFi-BT Rev 10.

002-MTW_1_1_CY8CKIT_062_WIFI_BT_debug.JPG

To learn my stupidity, I could not even post this to the ModusToolbox related community... perfect!

moto

0 Likes
1 Solution
MotooTanaka
Level 9
First comment on KBA 1000 replies posted 750 replies posted
Level 9

Hi,

Last night, our friend Matt-san, informed me following URL and chart.

https://www.cypress.com/documentation/development-kitsboards/psoc-6-ble-pioneer-kit-cy8ckit-062-ble

unnamed.jpg

Although this is a sad news for the elder board users,

it seems that this is OFFICIAL and DECIDED.

moto

P.S. I feel bad about this match-pump (Japalish) post, but anyway.

View solution in original post

4 Replies
LinglingG_46
Moderator
Moderator 750 replies posted First comment on KBA 500 replies posted
Moderator

Add:  Rev13 can work in Modus Toolbox 1.0 and Toolbox 1.1.

0 Likes
MotooTanaka
Level 9
First comment on KBA 1000 replies posted 750 replies posted
Level 9

Hi,

I wonder when this topic was changed to be a "question".

But anyway, what I wanted flag here was the support of older silicons.

Please refer to following discussions

https://community.cypress.com/thread/42859

https://community.cypress.com/thread/35894

ModusToolbox 1.0 did not work with Rev.08 and Rev.11 boards, because of  I quote

==================

The old startup file had definition for "Cy_SaveIRQ" and "Cy_RestoreIRQ" APIs, which is removed in the new file. I suspect that these definitions were used by *A si flash boot and from *B onwards these definitions might have been moved as part of the boot code itself. Thus resulting in hung code in boot.

==================

So when we replaced the "startup_psoc6_01_cm0plus.S" with the one which contains Cy_SaveIRQ and Cy_RestoreIRQ.

ModusToolbox 1.0 could be used with Rev.08, Rev.11 and newer boards.

But with the ModusToolbox 1.1 even replacing the "startup_psoc6_01_cm0plus.S" does not help.

So far, our CY8CKIT-062-BLE rev.08 and Rev.11 boards, which means the "all" CY8CKIT-062-BLE in our company is abandoned.

As we were expecting above problem will be fixed to the direction of including the support of boards with older silicon(s),

noticing that the fix(?) went to the other direction made us sad.

moto

0 Likes
MotooTanaka
Level 9
First comment on KBA 1000 replies posted 750 replies posted
Level 9

Hi,

Last night, our friend Matt-san, informed me following URL and chart.

https://www.cypress.com/documentation/development-kitsboards/psoc-6-ble-pioneer-kit-cy8ckit-062-ble

unnamed.jpg

Although this is a sad news for the elder board users,

it seems that this is OFFICIAL and DECIDED.

moto

P.S. I feel bad about this match-pump (Japalish) post, but anyway.

mattl_01
Employee
25 likes received 10 likes received 10 likes given
Employee

Motoo,

Thank you for all your posts. You are really helping out the community.

If anyone is having trouble getting their kit to work with ModusToolbox, check that table to see if there is an incompatibility issue. If so, contact whoever you got the kit from for a replacement. If you experience any logistical issues with that, post here and "@mention me" or send me email at mdl@cypress.com.

Hopefully not many people will run into this. I ordered a kit from finished goods to double check, and it was the latest version that works fine.

--Matt

P.S. Old kits should still work fine with PSoC Creator.